package com.apobates.forum.event.elderly;

/**
 * 操作的肇事信息
 *
 * @author xiaofanku
 * @since 20200510
 */
public interface ActionEventCulpritor {
    /**
     * 返回肇事会员ID
     *
     * @return
     */
    public long getMemberId();
    
    /**
     * 返回肇事会员昵称
     *
     * @return
     */
    public String getMemberNickname();
    
    /**
     * 返回肇事会员使用的Ip
     *
     * @return
     */
    public String getIpAddr();
    
    /**
     * 返回肇事标识
     *
     * @return
     */
    public String getToken();
    
    /**
     * 返回HTTP请求的浏览器User-Agent
     *
     * @return
     */
    public String getUserAgent();
}